XMLStreamException (XML Standard API)
Date: 2018-10-17

javax.xml.stream

## Class XMLStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.stream.XMLStreamException

- All Implemented Interfaces:
    java.io.Serializable

      public class XMLStreamException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Location` | `location`
    `protected java.lang.Throwable` | `nested`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamException()`
    `XMLStreamException(java.lang.String msg)`
    `XMLStreamException(java.lang.String msg, Location location)`
    `XMLStreamException(java.lang.String msg, Location location, java.lang.Throwable th)`
    `XMLStreamException(java.lang.String msg, java.lang.Throwable th)`
    `XMLStreamException(java.lang.Throwable th)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `getLocation()`
    `java.lang.Throwable` | `getNestedException()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nested

          protected java.lang.Throwable nested

    - #### location

          protected Location location

  - ### Constructor Detail

    - #### XMLStreamException

          public XMLStreamException()

    - #### XMLStreamException

          public XMLStreamException(java.lang.String msg)

    - #### XMLStreamException

          public XMLStreamException(java.lang.Throwable th)

    - #### XMLStreamException

          public XMLStreamException(java.lang.String msg,
                                    java.lang.Throwable th)

    - #### XMLStreamException

          public XMLStreamException(java.lang.String msg,
                                    Location location,
                                    java.lang.Throwable th)

    - #### XMLStreamException

          public XMLStreamException(java.lang.String msg,
                                    Location location)

  - ### Method Detail

    - #### getNestedException

          public java.lang.Throwable getNestedException()

    - #### getLocation

          public Location getLocation()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.